#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.8
visibility:           public
id:                   foldl-1.4.8-72LyOm7rqJ73wuaPfglBr4
key:                  foldl-1.4.8-72LyOm7rqJ73wuaPfglBr4
license:              BSD-3-Clause
copyright:            2013 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  4d40963f6e7ed5b4999b7ff6840a0248
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
    Control.Scanl

hidden-modules:       Control.Foldl.Optics Control.Foldl.Internal
import-dirs:          /usr/lib/ghc-8.10.2/site-local/foldl-1.4.8
library-dirs:         /usr/lib/ghc-8.10.2/site-local/foldl-1.4.8
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/foldl-1.4.8
hs-libraries:         HSfoldl-1.4.8-72LyOm7rqJ73wuaPfglBr4
depends:
    base-4.14.1.0 bytestring-0.10.10.0
    comonad-5.0.6-5a0UvTqh4B67nR9JQCtUxv containers-0.6.2.1
    contravariant-1.5.2-9cUYDQvrBi493NpHNvxLum
    hashable-1.3.0.0-JdGAj1lGWBF8rPo7OULhuw
    mwc-random-0.14.0.0-Id2E5gfPNis8r5LUynqI7M
    primitive-0.7.1.0-5baVUZMkl61GgaP6nxJRC5
    profunctors-5.5.2-IRsQDVAqJro8e7MX8COa5r
    semigroupoids-5.3.4-9BC9MRopP2O6T1aBZkXu4y text-1.2.3.2
    transformers-0.5.6.2
    unordered-containers-0.2.12.0-JMHeBencosjFi5kYThmmhW
    vector-0.12.1.2-Ey11gGB2S4fIXSHQgTBQEm
    vector-builder-0.3.8-B3JLBVtoG8o4h0LuqqU4OX

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

